//
//  SecretSetPsCell.swift
//  PhoneManager
//
//  Created by edy on 2025/3/31.
//

import UIKit

let SecretSetPsCellID = "SecretSetPsCell"

class SecretSetPsCell: UICollectionViewCell {
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        isSelect = false;
        self.layer.cornerRadius = 8
        self.clipsToBounds = true
    }
    
    var isSelect:Bool = false {
        didSet{
            if isSelect {
                self.backgroundColor = UIColor.colorWithHex(hexStr: "#0082FF")
            }else{
                self.backgroundColor = .white
                self.layer.borderColor = UIColor.colorWithHex(hexStr: "#0082FF").cgColor
                self.layer.borderWidth = 1
            }
        }
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
}
